Currencies
GET
/v2/company-currencies
const url = 'https://api-admin.billz.ai/v2/company-currencies';const options = { method: 'GET', headers: { 'platform-id': '7d4a4c38-dd84-4902-b744-0488b80a4c01', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api-admin.billz.ai/v2/company-currencies \ --header 'Authorization: Bearer <token>' \ --header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'Error codes: 401, 403, 429, 500 — shared by all methods. Body formats and semantics: Response codes and errors.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”platform-id
string
Platform identifier. A static value is used for integrations.
Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
company_id
string
supply_currencies
Supply currencies
Array<object>
object
id
string
company_id
string
type
string
code
USD, UZS, EUR
string
precision
Number of decimal places
integer format: int32
retail_currency
Retail currency
object
id
string
company_id
string
type
string
code
USD, UZS, EUR
string
precision
Number of decimal places
integer format: int32
cross_currencies
Array<object>
object
id
string
company_id
string
type
string
code
USD, UZS, EUR
string
precision
Number of decimal places
integer format: int32
additional_currencies
Array<object>
object
id
string
company_id
string
type
string
code
USD, UZS, EUR
string
precision
Number of decimal places
integer format: int32
currency_rates
{source_currency, target_currency, rate}
Array<object>
object
source_currency
string
target_currency
string
rate
number
Examplegenerated
{ "company_id": "example", "supply_currencies": [ { "id": "example", "company_id": "example", "type": "example", "code": "example", "precision": 1 } ], "retail_currency": { "id": "example", "company_id": "example", "type": "example", "code": "example", "precision": 1 }, "cross_currencies": [ { "id": "example", "company_id": "example", "type": "example", "code": "example", "precision": 1 } ], "additional_currencies": [ { "id": "example", "company_id": "example", "type": "example", "code": "example", "precision": 1 } ], "currency_rates": [ { "source_currency": "example", "target_currency": "example", "rate": 1 } ]}